Unable to convert to AAC using Ubuntu 16.04 / gstreamer0.10-plugins-bad-multiverse not available

Bug #1583520 reported by Sam Van den Eynde on 2016-05-19
66
This bug affects 13 people
Affects Status Importance Assigned to Milestone
soundconverter (Ubuntu)
Undecided
Unassigned

Bug Description

Up until now, I had to install gstreamer0.10-plugins-bad-multiverse to get AAC encoding support for sound converter in Ubuntu.

16.04 does not have this package anymore. I have tried a variety of work arounds (faac/faad/various gstreamer codec packs) but none of them brings the option back.

So we need a new solution for sound converter to allow for AAC encoding.

GautierPortet (kassoulet) wrote :

You have to install soundconverter v3

Sam Van den Eynde (samvde) wrote :

I have that:

soundconverter/xenial,xenial,now 3.0.0~alpha1+git20151209-1 all [installed]

If you want I can do an installation from git this evening and report back.

GautierPortet (kassoulet) wrote :

Yes, perfect.

The old soundconverter still uses gstreamer 0.10, and the plugins are not packaged anymore.

Sam Van den Eynde (samvde) wrote :

I compiled straight from GIT but no success. What codec do I need exactly?

GautierPortet (kassoulet) wrote :

No success on what? compiling? converting?

Sam Van den Eynde (samvde) wrote :

Sorry about that. Getting AAC as an encoding option was still not available, compiling went fine.

FYI: I tried using soundkonverter as well, and that allowed AAC encoding via faac, ffmpeg, and avconv or libav (can't remember, not in front of the computer). So I have at least 3 options available that would allow it.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in soundconverter (Ubuntu):
status: New → Confirmed
Forest (foresto) wrote :

Same problem here in Xubuntu 16.10: soundconverter's preferences do not offer aac/m4a among the output format options. What is necessary to make the option appear?

$ dpkg-query --show soundconv\* gstreamer1.0-plugins\*
gstreamer1.0-plugins-bad:amd64 1.8.3-1ubuntu1.1
gstreamer1.0-plugins-bad-faad:amd64 1.8.3-1ubuntu1.1
gstreamer1.0-plugins-bad-videoparsers:amd64 1.8.3-1ubuntu1.1
gstreamer1.0-plugins-base:amd64 1.8.3-1ubuntu1
gstreamer1.0-plugins-base:i386 1.8.3-1ubuntu1
gstreamer1.0-plugins-good:amd64 1.8.3-1ubuntu1.2
gstreamer1.0-plugins-ugly:amd64 1.8.3-1ubuntu1
gstreamer1.0-plugins-ugly-amr:amd64 1.8.3-1ubuntu1
soundconverter 3.0.0~alpha1+git20151209-1

This appears to be related to #1299376, marking as duplicate.

@kassoulet: I think that more recent versions of Ubuntu have newer versions of the gstreamer-plugins-bad1.0 package, which include the Fraunhofer FDK AAC encoding and decoding libraries libgstfdkaacenc.so and libgstfdkaacdec.so. I'm not an expert on audio codecs, but I believe the FDK AAC codec is thought to be superior to FAAC. Might it be worth including FDK AAC as an available element in soundconverter (perhaps after checking that a new enough version of GStreamer is in use)?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions